Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMKeyboardEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent
              org.apache.batik.dom.events.DOMKeyboardEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, KeyboardEvent, UIEvent

    public class DOMKeyboardEvent

extends DOMUIEvent
implements KeyboardEvent

DOM 3 Keyboard event class.

Field Summary
`static String` | `KEY_0`
`static String` | `KEY_1`
`static String` | `KEY_2`
`static String` | `KEY_3`
`static String` | `KEY_4`
`static String` | `KEY_5`
`static String` | `KEY_6`
`static String` | `KEY_7`
`static String` | `KEY_8`
`static String` | `KEY_9`
`static String` | `KEY_A`
`static String` | `KEY_ACCEPT`
`static String` | `KEY_AGAIN`
`static String` | `KEY_ALL_CANDIDATES`
`static String` | `KEY_ALPHANUMERIC`
`static String` | `KEY_ALT`
`static String` | `KEY_ALT_GRAPH`
`static String` | `KEY_AMPERSAND`
`static String` | `KEY_APOSTROPHE`
`static String` | `KEY_APPS`
`static String` | `KEY_ASTERISK`
`static String` | `KEY_AT`
`static String` | `KEY_ATTN`
`static String` | `KEY_B`
`static String` | `KEY_BACKSLASH`
`static String` | `KEY_BACKSPACE`
`static String` | `KEY_BROWSER_BACK`
`static String` | `KEY_BROWSER_FAVORITES`
`static String` | `KEY_BROWSER_FORWARD`
`static String` | `KEY_BROWSER_HOME`
`static String` | `KEY_BROWSER_REFRESH`
`static String` | `KEY_BROWSER_SEARCH`
`static String` | `KEY_BROWSER_STOP`
`static String` | `KEY_C`
`static String` | `KEY_CANCEL`
`static String` | `KEY_CAPS_LOCK`
`static String` | `KEY_CIRCUMFLEX`
`static String` | `KEY_CLEAR`
`static String` | `KEY_CODE_INPUT`
`static String` | `KEY_COLON`
`static String` | `KEY_COMBINING_ACUTE`
`static String` | `KEY_COMBINING_BREVE`
`static String` | `KEY_COMBINING_CARON`
`static String` | `KEY_COMBINING_CEDILLA`
`static String` | `KEY_COMBINING_CIRCUMFLEX`
`static String` | `KEY_COMBINING_DIERESIS`
`static String` | `KEY_COMBINING_DOT_ABOVE`
`static String` | `KEY_COMBINING_DOUBLE_ACUTE`
`static String` | `KEY_COMBINING_GRAVE`
`static String` | `KEY_COMBINING_IOTA`
`static String` | `KEY_COMBINING_MACRON`
`static String` | `KEY_COMBINING_OGONEK`
`static String` | `KEY_COMBINING_RING_ABOVE`
`static String` | `KEY_COMBINING_TILDE`
`static String` | `KEY_COMMA`
`static String` | `KEY_COMPOSE`
`static String` | `KEY_CONTROL`
`static String` | `KEY_CONVERT`
`static String` | `KEY_COPY`
`static String` | `KEY_CRSEL`
`static String` | `KEY_CUT`
`static String` | `KEY_D`
`static String` | `KEY_DELETE`
`static String` | `KEY_DOLLAR`
`static String` | `KEY_DOWN`
`static String` | `KEY_E`
`static String` | `KEY_END`
`static String` | `KEY_ENTER`
`static String` | `KEY_EQUALS`
`static String` | `KEY_ERASE_EOF`
`static String` | `KEY_ESCAPE`
`static String` | `KEY_EURO`
`static String` | `KEY_EXCLAMATION`
`static String` | `KEY_EXECUTE`
`static String` | `KEY_EXSEL`
`static String` | `KEY_F`
`static String` | `KEY_F1`
`static String` | `KEY_F10`
`static String` | `KEY_F11`
`static String` | `KEY_F12`
`static String` | `KEY_F13`
`static String` | `KEY_F14`
`static String` | `KEY_F15`
`static String` | `KEY_F16`
`static String` | `KEY_F17`
`static String` | `KEY_F18`
`static String` | `KEY_F19`
`static String` | `KEY_F2`
`static String` | `KEY_F20`
`static String` | `KEY_F21`
`static String` | `KEY_F22`
`static String` | `KEY_F23`
`static String` | `KEY_F24`
`static String` | `KEY_F3`
`static String` | `KEY_F4`
`static String` | `KEY_F5`
`static String` | `KEY_F6`
`static String` | `KEY_F7`
`static String` | `KEY_F8`
`static String` | `KEY_F9`
`static String` | `KEY_FINAL_MODE`
`static String` | `KEY_FIND`
`static String` | `KEY_FULL_STOP`
`static String` | `KEY_FULL_WIDTH`
`static String` | `KEY_G`
`static String` | `KEY_GRAVE`
`static String` | `KEY_GREATER_THAN`
`static String` | `KEY_H`
`static String` | `KEY_HALF_WIDTH`
`static String` | `KEY_HANGUL_MODE`
`static String` | `KEY_HANJA_MODE`
`static String` | `KEY_HASH`
`static String` | `KEY_HELP`
`static String` | `KEY_HIRAGANA`
`static String` | `KEY_HOME`
`static String` | `KEY_I`
`static String` | `KEY_INSERT`
`static String` | `KEY_INVERTED_EXCLAMATION`
`static String` | `KEY_J`
`static String` | `KEY_JAPANESE_HIRAGANA`
`static String` | `KEY_JAPANESE_KATAKANA`
`static String` | `KEY_JAPANESE_ROMAJI`
`static String` | `KEY_JUNJA_MODE`
`static String` | `KEY_K`
`static String` | `KEY_KANA_MODE`
`static String` | `KEY_KANJI_MODE`
`static String` | `KEY_KATAKANA`
`static String` | `KEY_L`
`static String` | `KEY_LAUNCH_APPLICATION1`
`static String` | `KEY_LAUNCH_APPLICATION2`
`static String` | `KEY_LAUNCH_MAIL`
`static String` | `KEY_LEFT`
`static String` | `KEY_LEFT_BRACE`
`static String` | `KEY_LEFT_PARENTHESIS`
`static String` | `KEY_LEFT_SQUARE_BRACKET`
`static String` | `KEY_LESS_THAN`
`static String` | `KEY_M`
`static String` | `KEY_MEDIA_NEXT_TRACK`
`static String` | `KEY_MEDIA_PLAY_PAUSE`
`static String` | `KEY_MEDIA_PREVIOUS_TRACK`
`static String` | `KEY_MEDIA_STOP`
`static String` | `KEY_META`
`static String` | `KEY_MINUS`
`static String` | `KEY_MODE_CHANGE`
`static String` | `KEY_N`
`static String` | `KEY_NONCONVERT`
`static String` | `KEY_NUM_LOCK`
`static String` | `KEY_O`
`static String` | `KEY_P`
`static String` | `KEY_PAGE_DOWN`
`static String` | `KEY_PAGE_UP`
`static String` | `KEY_PASTE`
`static String` | `KEY_PAUSE`
`static String` | `KEY_PLAY`
`static String` | `KEY_PLUS`
`static String` | `KEY_PREVIOUS_CANDIDATE`
`static String` | `KEY_PRINT_SCREEN`
`static String` | `KEY_PROCESS`
`static String` | `KEY_PROPS`
`static String` | `KEY_Q`
`static String` | `KEY_QUESTION`
`static String` | `KEY_QUOTE`
`static String` | `KEY_R`
`static String` | `KEY_RIGHT`
`static String` | `KEY_RIGHT_BRACE`
`static String` | `KEY_RIGHT_PARENTHESIS`
`static String` | `KEY_RIGHT_SQUARE_BRACKET`
`static String` | `KEY_ROMAN_CHARACTERS`
`static String` | `KEY_S`
`static String` | `KEY_SCROLL`
`static String` | `KEY_SELECT`
`static String` | `KEY_SELECT_MEDIA`
`static String` | `KEY_SEMICOLON`
`static String` | `KEY_SEMIVOICED_SOUND`
`static String` | `KEY_SHIFT`
`static String` | `KEY_SLASH`
`static String` | `KEY_SPACE`
`static String` | `KEY_STOP`
`static String` | `KEY_T`
`static String` | `KEY_TAB`
`static String` | `KEY_U`
`static String` | `KEY_UNDERSCORE`
`static String` | `KEY_UNDO`
`static String` | `KEY_UNIDENTIFIED`
`static String` | `KEY_UP`
`static String` | `KEY_V`
`static String` | `KEY_VERTICAL_BAR`
`static String` | `KEY_VOICED_SOUND`
`static String` | `KEY_VOLUME_DOWN`
`static String` | `KEY_VOLUME_MUTE`
`static String` | `KEY_VOLUME_UP`
`static String` | `KEY_W`
`static String` | `KEY_WIN`
`static String` | `KEY_X`
`static String` | `KEY_Y`
`static String` | `KEY_Z`
`static String` | `KEY_ZOOM`
`protected String` | `keyIdentifier` The identifier string for the key.
`protected int` | `keyLocation` The location of the key.
`protected HashSet` | `modifierKeys` The modifier keys in effect at the time of the event.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.KeyboardEvent
`DOM_KEY_LOCATION_LEFT, DOM_KEY_LOCATION_NUMPAD, DOM_KEY_LOCATION_RIGHT, DOM_KEY_LOCATION_STANDARD`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMKeyboardEvent()`

Method Summary
`boolean` | `getAltKey()` DOM: Get whether the Alt key was pressed at the time of the event.
`boolean` | `getCtrlKey()` DOM: Get whether the Control key was pressed at the time of the event.
`String` | `getKeyIdentifier()` DOM: Get the key identifier.
`int` | `getKeyLocation()` DOM: Get the key location.
`boolean` | `getMetaKey()` DOM: Get whether the Meta key was pressed at the time of the event.
`boolean` | `getModifierState(String keyIdentifierArg)` DOM: Returns whether the given modifier key was pressed at the time of the event.
`boolean` | `getShiftKey()` DOM: Get whether the Shift key was pressed at the time of the event.
`void` | `initKeyboardEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, String keyIdentifierArg, int keyLocationArg, String modifiersList)` DOM: Initializes this KeyboardEvent object.
`void` | `initKeyboardEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, String keyIdentifierArg, int keyLocationArg, String modifiersList)` DOM

Methods inherited from class org.apache.batik.dom.events.DOMUIEvent
`getDetail, getView, initUIEvent, initUIEventNS, split`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.UIEvent
`getDetail, getView, initUIEvent, initUIEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### KEY_UNIDENTIFIED

    public static final String KEY_UNIDENTIFIED

See Also:
  Constant Field Values

### KEY_ACCEPT

    public static final String KEY_ACCEPT

See Also:
  Constant Field Values

### KEY_AGAIN

    public static final String KEY_AGAIN

See Also:
  Constant Field Values

### KEY_ALL_CANDIDATES

    public static final String KEY_ALL_CANDIDATES

See Also:
  Constant Field Values

### KEY_ALPHANUMERIC

    public static final String KEY_ALPHANUMERIC

See Also:
  Constant Field Values

### KEY_ALT

    public static final String KEY_ALT

See Also:
  Constant Field Values

### KEY_ALT_GRAPH

    public static final String KEY_ALT_GRAPH

See Also:
  Constant Field Values

### KEY_APPS

    public static final String KEY_APPS

See Also:
  Constant Field Values

### KEY_ATTN

    public static final String KEY_ATTN

See Also:
  Constant Field Values

### KEY_BROWSER_BACK

    public static final String KEY_BROWSER_BACK

See Also:
  Constant Field Values

### KEY_BROWSER_FAVORITES

    public static final String KEY_BROWSER_FAVORITES

See Also:
  Constant Field Values

### KEY_BROWSER_FORWARD

    public static final String KEY_BROWSER_FORWARD

See Also:
  Constant Field Values

### KEY_BROWSER_HOME

    public static final String KEY_BROWSER_HOME

See Also:
  Constant Field Values

### KEY_BROWSER_REFRESH

    public static final String KEY_BROWSER_REFRESH

See Also:
  Constant Field Values

### KEY_BROWSER_SEARCH

    public static final String KEY_BROWSER_SEARCH

See Also:
  Constant Field Values

### KEY_BROWSER_STOP

    public static final String KEY_BROWSER_STOP

See Also:
  Constant Field Values

### KEY_CAPS_LOCK

    public static final String KEY_CAPS_LOCK

See Also:
  Constant Field Values

### KEY_CLEAR

    public static final String KEY_CLEAR

See Also:
  Constant Field Values

### KEY_CODE_INPUT

    public static final String KEY_CODE_INPUT

See Also:
  Constant Field Values

### KEY_COMPOSE

    public static final String KEY_COMPOSE

See Also:
  Constant Field Values

### KEY_CONTROL

    public static final String KEY_CONTROL

See Also:
  Constant Field Values

### KEY_CRSEL

    public static final String KEY_CRSEL

See Also:
  Constant Field Values

### KEY_CONVERT

    public static final String KEY_CONVERT

See Also:
  Constant Field Values

### KEY_COPY

    public static final String KEY_COPY

See Also:
  Constant Field Values

### KEY_CUT

    public static final String KEY_CUT

See Also:
  Constant Field Values

### KEY_DOWN

    public static final String KEY_DOWN

See Also:
  Constant Field Values

### KEY_END

    public static final String KEY_END

See Also:
  Constant Field Values

### KEY_ENTER

    public static final String KEY_ENTER

See Also:
  Constant Field Values

### KEY_ERASE_EOF

    public static final String KEY_ERASE_EOF

See Also:
  Constant Field Values

### KEY_EXECUTE

    public static final String KEY_EXECUTE

See Also:
  Constant Field Values

### KEY_EXSEL

    public static final String KEY_EXSEL

See Also:
  Constant Field Values

### KEY_F1

    public static final String KEY_F1

See Also:
  Constant Field Values

### KEY_F2

    public static final String KEY_F2

See Also:
  Constant Field Values

### KEY_F3

    public static final String KEY_F3

See Also:
  Constant Field Values

### KEY_F4

    public static final String KEY_F4

See Also:
  Constant Field Values

### KEY_F5

    public static final String KEY_F5

See Also:
  Constant Field Values

### KEY_F6

    public static final String KEY_F6

See Also:
  Constant Field Values

### KEY_F7

    public static final String KEY_F7

See Also:
  Constant Field Values

### KEY_F8

    public static final String KEY_F8

See Also:
  Constant Field Values

### KEY_F9

    public static final String KEY_F9

See Also:
  Constant Field Values

### KEY_F10

    public static final String KEY_F10

See Also:
  Constant Field Values

### KEY_F11

    public static final String KEY_F11

See Also:
  Constant Field Values

### KEY_F12

    public static final String KEY_F12

See Also:
  Constant Field Values

### KEY_F13

    public static final String KEY_F13

See Also:
  Constant Field Values

### KEY_F14

    public static final String KEY_F14

See Also:
  Constant Field Values

### KEY_F15

    public static final String KEY_F15

See Also:
  Constant Field Values

### KEY_F16

    public static final String KEY_F16

See Also:
  Constant Field Values

### KEY_F17

    public static final String KEY_F17

See Also:
  Constant Field Values

### KEY_F18

    public static final String KEY_F18

See Also:
  Constant Field Values

### KEY_F19

    public static final String KEY_F19

See Also:
  Constant Field Values

### KEY_F20

    public static final String KEY_F20

See Also:
  Constant Field Values

### KEY_F21

    public static final String KEY_F21

See Also:
  Constant Field Values

### KEY_BACKSPACE

    public static final String KEY_BACKSPACE

See Also:
  Constant Field Values

### KEY_TAB

    public static final String KEY_TAB

See Also:
  Constant Field Values

### KEY_CANCEL

    public static final String KEY_CANCEL

See Also:
  Constant Field Values

### KEY_ESCAPE

    public static final String KEY_ESCAPE

See Also:
  Constant Field Values

### KEY_SPACE

    public static final String KEY_SPACE

See Also:
  Constant Field Values

### KEY_EXCLAMATION

    public static final String KEY_EXCLAMATION

See Also:
  Constant Field Values

### KEY_QUOTE

    public static final String KEY_QUOTE

See Also:
  Constant Field Values

### KEY_HASH

    public static final String KEY_HASH

See Also:
  Constant Field Values

### KEY_DOLLAR

    public static final String KEY_DOLLAR

See Also:
  Constant Field Values

### KEY_AMPERSAND

    public static final String KEY_AMPERSAND

See Also:
  Constant Field Values

### KEY_APOSTROPHE

    public static final String KEY_APOSTROPHE

See Also:
  Constant Field Values

### KEY_LEFT_PARENTHESIS

    public static final String KEY_LEFT_PARENTHESIS

See Also:
  Constant Field Values

### KEY_RIGHT_PARENTHESIS

    public static final String KEY_RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### KEY_ASTERISK

    public static final String KEY_ASTERISK

See Also:
  Constant Field Values

### KEY_PLUS

    public static final String KEY_PLUS

See Also:
  Constant Field Values

### KEY_COMMA

    public static final String KEY_COMMA

See Also:
  Constant Field Values

### KEY_MINUS

    public static final String KEY_MINUS

See Also:
  Constant Field Values

### KEY_FULL_STOP

    public static final String KEY_FULL_STOP

See Also:
  Constant Field Values

### KEY_SLASH

    public static final String KEY_SLASH

See Also:
  Constant Field Values

### KEY_0

    public static final String KEY_0

See Also:
  Constant Field Values

### KEY_1

    public static final String KEY_1

See Also:
  Constant Field Values

### KEY_2

    public static final String KEY_2

See Also:
  Constant Field Values

### KEY_3

    public static final String KEY_3

See Also:
  Constant Field Values

### KEY_4

    public static final String KEY_4

See Also:
  Constant Field Values

### KEY_5

    public static final String KEY_5

See Also:
  Constant Field Values

### KEY_6

    public static final String KEY_6

See Also:
  Constant Field Values

### KEY_7

    public static final String KEY_7

See Also:
  Constant Field Values

### KEY_8

    public static final String KEY_8

See Also:
  Constant Field Values

### KEY_9

    public static final String KEY_9

See Also:
  Constant Field Values

### KEY_COLON

    public static final String KEY_COLON

See Also:
  Constant Field Values

### KEY_SEMICOLON

    public static final String KEY_SEMICOLON

See Also:
  Constant Field Values

### KEY_LESS_THAN

    public static final String KEY_LESS_THAN

See Also:
  Constant Field Values

### KEY_EQUALS

    public static final String KEY_EQUALS

See Also:
  Constant Field Values

### KEY_GREATER_THAN

    public static final String KEY_GREATER_THAN

See Also:
  Constant Field Values

### KEY_QUESTION

    public static final String KEY_QUESTION

See Also:
  Constant Field Values

### KEY_AT

    public static final String KEY_AT

See Also:
  Constant Field Values

### KEY_A

    public static final String KEY_A

See Also:
  Constant Field Values

### KEY_B

    public static final String KEY_B

See Also:
  Constant Field Values

### KEY_C

    public static final String KEY_C

See Also:
  Constant Field Values

### KEY_D

    public static final String KEY_D

See Also:
  Constant Field Values

### KEY_E

    public static final String KEY_E

See Also:
  Constant Field Values

### KEY_F

    public static final String KEY_F

See Also:
  Constant Field Values

### KEY_G

    public static final String KEY_G

See Also:
  Constant Field Values

### KEY_H

    public static final String KEY_H

See Also:
  Constant Field Values

### KEY_I

    public static final String KEY_I

See Also:
  Constant Field Values

### KEY_J

    public static final String KEY_J

See Also:
  Constant Field Values

### KEY_K

    public static final String KEY_K

See Also:
  Constant Field Values

### KEY_L

    public static final String KEY_L

See Also:
  Constant Field Values

### KEY_M

    public static final String KEY_M

See Also:
  Constant Field Values

### KEY_N

    public static final String KEY_N

See Also:
  Constant Field Values

### KEY_O

    public static final String KEY_O

See Also:
  Constant Field Values

### KEY_P

    public static final String KEY_P

See Also:
  Constant Field Values

### KEY_Q

    public static final String KEY_Q

See Also:
  Constant Field Values

### KEY_R

    public static final String KEY_R

See Also:
  Constant Field Values

### KEY_S

    public static final String KEY_S

See Also:
  Constant Field Values

### KEY_T

    public static final String KEY_T

See Also:
  Constant Field Values

### KEY_U

    public static final String KEY_U

See Also:
  Constant Field Values

### KEY_V

    public static final String KEY_V

See Also:
  Constant Field Values

### KEY_W

    public static final String KEY_W

See Also:
  Constant Field Values

### KEY_X

    public static final String KEY_X

See Also:
  Constant Field Values

### KEY_Y

    public static final String KEY_Y

See Also:
  Constant Field Values

### KEY_Z

    public static final String KEY_Z

See Also:
  Constant Field Values

### KEY_LEFT_SQUARE_BRACKET

    public static final String KEY_LEFT_SQUARE_BRACKET

See Also:
  Constant Field Values

### KEY_BACKSLASH

    public static final String KEY_BACKSLASH

See Also:
  Constant Field Values

### KEY_RIGHT_SQUARE_BRACKET

    public static final String KEY_RIGHT_SQUARE_BRACKET

See Also:
  Constant Field Values

### KEY_CIRCUMFLEX

    public static final String KEY_CIRCUMFLEX

See Also:
  Constant Field Values

### KEY_UNDERSCORE

    public static final String KEY_UNDERSCORE

See Also:
  Constant Field Values

### KEY_GRAVE

    public static final String KEY_GRAVE

See Also:
  Constant Field Values

### KEY_LEFT_BRACE

    public static final String KEY_LEFT_BRACE

See Also:
  Constant Field Values

### KEY_VERTICAL_BAR

    public static final String KEY_VERTICAL_BAR

See Also:
  Constant Field Values

### KEY_RIGHT_BRACE

    public static final String KEY_RIGHT_BRACE

See Also:
  Constant Field Values

### KEY_DELETE

    public static final String KEY_DELETE

See Also:
  Constant Field Values

### KEY_INVERTED_EXCLAMATION

    public static final String KEY_INVERTED_EXCLAMATION

See Also:
  Constant Field Values

### KEY_COMBINING_GRAVE

    public static final String KEY_COMBINING_GRAVE

See Also:
  Constant Field Values

### KEY_COMBINING_ACUTE

    public static final String KEY_COMBINING_ACUTE

See Also:
  Constant Field Values

### KEY_COMBINING_CIRCUMFLEX

    public static final String KEY_COMBINING_CIRCUMFLEX

See Also:
  Constant Field Values

### KEY_COMBINING_TILDE

    public static final String KEY_COMBINING_TILDE

See Also:
  Constant Field Values

### KEY_COMBINING_MACRON

    public static final String KEY_COMBINING_MACRON

See Also:
  Constant Field Values

### KEY_COMBINING_BREVE

    public static final String KEY_COMBINING_BREVE

See Also:
  Constant Field Values

### KEY_COMBINING_DOT_ABOVE

    public static final String KEY_COMBINING_DOT_ABOVE

See Also:
  Constant Field Values

### KEY_COMBINING_DIERESIS

    public static final String KEY_COMBINING_DIERESIS

See Also:
  Constant Field Values

### KEY_COMBINING_RING_ABOVE

    public static final String KEY_COMBINING_RING_ABOVE

See Also:
  Constant Field Values

### KEY_COMBINING_DOUBLE_ACUTE

    public static final String KEY_COMBINING_DOUBLE_ACUTE

See Also:
  Constant Field Values

### KEY_COMBINING_CARON

    public static final String KEY_COMBINING_CARON

See Also:
  Constant Field Values

### KEY_COMBINING_CEDILLA

    public static final String KEY_COMBINING_CEDILLA

See Also:
  Constant Field Values

### KEY_COMBINING_OGONEK

    public static final String KEY_COMBINING_OGONEK

See Also:
  Constant Field Values

### KEY_COMBINING_IOTA

    public static final String KEY_COMBINING_IOTA

See Also:
  Constant Field Values

### KEY_EURO

    public static final String KEY_EURO

See Also:
  Constant Field Values

### KEY_VOICED_SOUND

    public static final String KEY_VOICED_SOUND

See Also:
  Constant Field Values

### KEY_SEMIVOICED_SOUND

    public static final String KEY_SEMIVOICED_SOUND

See Also:
  Constant Field Values

### KEY_F22

    public static final String KEY_F22

See Also:
  Constant Field Values

### KEY_F23

    public static final String KEY_F23

See Also:
  Constant Field Values

### KEY_F24

    public static final String KEY_F24

See Also:
  Constant Field Values

### KEY_FINAL_MODE

    public static final String KEY_FINAL_MODE

See Also:
  Constant Field Values

### KEY_FIND

    public static final String KEY_FIND

See Also:
  Constant Field Values

### KEY_FULL_WIDTH

    public static final String KEY_FULL_WIDTH

See Also:
  Constant Field Values

### KEY_HALF_WIDTH

    public static final String KEY_HALF_WIDTH

See Also:
  Constant Field Values

### KEY_HANGUL_MODE

    public static final String KEY_HANGUL_MODE

See Also:
  Constant Field Values

### KEY_HANJA_MODE

    public static final String KEY_HANJA_MODE

See Also:
  Constant Field Values

### KEY_HELP

    public static final String KEY_HELP

See Also:
  Constant Field Values

### KEY_HIRAGANA

    public static final String KEY_HIRAGANA

See Also:
  Constant Field Values

### KEY_HOME

    public static final String KEY_HOME

See Also:
  Constant Field Values

### KEY_INSERT

    public static final String KEY_INSERT

See Also:
  Constant Field Values

### KEY_JAPANESE_HIRAGANA

    public static final String KEY_JAPANESE_HIRAGANA

See Also:
  Constant Field Values

### KEY_JAPANESE_KATAKANA

    public static final String KEY_JAPANESE_KATAKANA

See Also:
  Constant Field Values

### KEY_JAPANESE_ROMAJI

    public static final String KEY_JAPANESE_ROMAJI

See Also:
  Constant Field Values

### KEY_JUNJA_MODE

    public static final String KEY_JUNJA_MODE

See Also:
  Constant Field Values

### KEY_KANA_MODE

    public static final String KEY_KANA_MODE

See Also:
  Constant Field Values

### KEY_KANJI_MODE

    public static final String KEY_KANJI_MODE

See Also:
  Constant Field Values

### KEY_KATAKANA

    public static final String KEY_KATAKANA

See Also:
  Constant Field Values

### KEY_LAUNCH_APPLICATION1

    public static final String KEY_LAUNCH_APPLICATION1

See Also:
  Constant Field Values

### KEY_LAUNCH_APPLICATION2

    public static final String KEY_LAUNCH_APPLICATION2

See Also:
  Constant Field Values

### KEY_LAUNCH_MAIL

    public static final String KEY_LAUNCH_MAIL

See Also:
  Constant Field Values

### KEY_LEFT

    public static final String KEY_LEFT

See Also:
  Constant Field Values

### KEY_META

    public static final String KEY_META

See Also:
  Constant Field Values

### KEY_MEDIA_NEXT_TRACK

    public static final String KEY_MEDIA_NEXT_TRACK

See Also:
  Constant Field Values

### KEY_MEDIA_PLAY_PAUSE

    public static final String KEY_MEDIA_PLAY_PAUSE

See Also:
  Constant Field Values

### KEY_MEDIA_PREVIOUS_TRACK

    public static final String KEY_MEDIA_PREVIOUS_TRACK

See Also:
  Constant Field Values

### KEY_MEDIA_STOP

    public static final String KEY_MEDIA_STOP

See Also:
  Constant Field Values

### KEY_MODE_CHANGE

    public static final String KEY_MODE_CHANGE

See Also:
  Constant Field Values

### KEY_NONCONVERT

    public static final String KEY_NONCONVERT

See Also:
  Constant Field Values

### KEY_NUM_LOCK

    public static final String KEY_NUM_LOCK

See Also:
  Constant Field Values

### KEY_PAGE_DOWN

    public static final String KEY_PAGE_DOWN

See Also:
  Constant Field Values

### KEY_PAGE_UP

    public static final String KEY_PAGE_UP

See Also:
  Constant Field Values

### KEY_PASTE

    public static final String KEY_PASTE

See Also:
  Constant Field Values

### KEY_PAUSE

    public static final String KEY_PAUSE

See Also:
  Constant Field Values

### KEY_PLAY

    public static final String KEY_PLAY

See Also:
  Constant Field Values

### KEY_PREVIOUS_CANDIDATE

    public static final String KEY_PREVIOUS_CANDIDATE

See Also:
  Constant Field Values

### KEY_PRINT_SCREEN

    public static final String KEY_PRINT_SCREEN

See Also:
  Constant Field Values

### KEY_PROCESS

    public static final String KEY_PROCESS

See Also:
  Constant Field Values

### KEY_PROPS

    public static final String KEY_PROPS

See Also:
  Constant Field Values

### KEY_RIGHT

    public static final String KEY_RIGHT

See Also:
  Constant Field Values

### KEY_ROMAN_CHARACTERS

    public static final String KEY_ROMAN_CHARACTERS

See Also:
  Constant Field Values

### KEY_SCROLL

    public static final String KEY_SCROLL

See Also:
  Constant Field Values

### KEY_SELECT

    public static final String KEY_SELECT

See Also:
  Constant Field Values

### KEY_SELECT_MEDIA

    public static final String KEY_SELECT_MEDIA

See Also:
  Constant Field Values

### KEY_SHIFT

    public static final String KEY_SHIFT

See Also:
  Constant Field Values

### KEY_STOP

    public static final String KEY_STOP

See Also:
  Constant Field Values

### KEY_UP

    public static final String KEY_UP

See Also:
  Constant Field Values

### KEY_UNDO

    public static final String KEY_UNDO

See Also:
  Constant Field Values

### KEY_VOLUME_DOWN

    public static final String KEY_VOLUME_DOWN

See Also:
  Constant Field Values

### KEY_VOLUME_MUTE

    public static final String KEY_VOLUME_MUTE

See Also:
  Constant Field Values

### KEY_VOLUME_UP

    public static final String KEY_VOLUME_UP

See Also:
  Constant Field Values

### KEY_WIN

    public static final String KEY_WIN

See Also:
  Constant Field Values

### KEY_ZOOM

    public static final String KEY_ZOOM

See Also:
  Constant Field Values

### modifierKeys

    protected HashSet modifierKeys

  The modifier keys in effect at the time of the event.

### keyIdentifier

    protected String keyIdentifier

  The identifier string for the key.

### keyLocation

    protected int keyLocation

  The location of the key.

Constructor Detail

### DOMKeyboardEvent

    public DOMKeyboardEvent()

Method Detail

### getCtrlKey

    public boolean getCtrlKey()

  DOM: Get whether the Control key was pressed at the time of the event.

  Specified by:
    `getCtrlKey` in interface `KeyboardEvent`

### getShiftKey

    public boolean getShiftKey()

  DOM: Get whether the Shift key was pressed at the time of the event.

  Specified by:
    `getShiftKey` in interface `KeyboardEvent`

### getAltKey

    public boolean getAltKey()

  DOM: Get whether the Alt key was pressed at the time of the event.

  Specified by:
    `getAltKey` in interface `KeyboardEvent`

### getMetaKey

    public boolean getMetaKey()

  DOM: Get whether the Meta key was pressed at the time of the event.

  Specified by:
    `getMetaKey` in interface `KeyboardEvent`

### getKeyIdentifier

    public String getKeyIdentifier()

  DOM: Get the key identifier.

  Specified by:
    `getKeyIdentifier` in interface `KeyboardEvent`

### getKeyLocation

    public int getKeyLocation()

  DOM: Get the key location.

  Specified by:
    `getKeyLocation` in interface `KeyboardEvent`

### getModifierState

    public boolean getModifierState(String keyIdentifierArg)

  DOM: Returns whether the given modifier key was pressed at the time of the event.

  Specified by:
    `getModifierState` in interface `KeyboardEvent`
  Parameters:
    `keyIdentifierArg` - A modifier key identifier. Common modifier keys are `"Alt"`, `"AltGraph"`, `"CapsLock"`, `"Control"`, `"Meta"` , `"NumLock"`, `"Scroll"`, or `"Shift"`.

    Note: If an application wishes to distinguish between right and left modifiers, this information could be deduced using keyboard events and `KeyboardEvent.keyLocation`.

  Returns:
    `true` if it is modifier key and the modifier is activated, `false` otherwise.

### initKeyboardEvent

    public void initKeyboardEvent(String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  AbstractView viewArg,
                                  String keyIdentifierArg,
                                  int keyLocationArg,
                                  String modifiersList)

  DOM: Initializes this KeyboardEvent object.

  Specified by:
    `initKeyboardEvent` in interface `KeyboardEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `keyIdentifierArg` - Specifies the `Event`'s `keyIdentifier`.
    `keyLocationArg` - Specifies the `Event`'s `keyLocation`.
    `modifiersList` - Specifies which modifiers were in effect for this `Event`.

### initKeyboardEventNS

    public void initKeyboardEventNS(String namespaceURIArg,
                                    String typeArg,
                                    boolean canBubbleArg,
                                    boolean cancelableArg,
                                    AbstractView viewArg,
                                    String keyIdentifierArg,
                                    int keyLocationArg,
                                    String modifiersList)

  DOM
  Specified by:
    `initKeyboardEventNS` in interface `KeyboardEvent`
  Parameters:
    `namespaceURIArg` - Specifies the event namespace URI.
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `keyIdentifierArg` - Specifies the `Event`'s `keyIdentifier`.
    `keyLocationArg` - Specifies the `Event`'s `keyLocation`.
    `modifiersList` - Specifies which modifiers were in effect for this `Event`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.